module Lighting where
import Graphics.UI.GLUT
import Graphics.Rendering.OpenGL
import Graphics.Rendering.OpenGL.Raw.Core31 
import Graphics.Rendering.OpenGL.Raw.ARB.Compatibility
import GHC.Ptr
import GHC.Arr
import Foreign.Marshal.Array

light :: Bool
light = True

{-lightDiffuse :: [GLfloat]
lightDiffuse = [1.0, 1.0, 1.0, 1.0]
lightPosition :: [GLfloat]
lightPosition = [0.0, 0.0, 2.0, 1.0]-}

initializeLighting = do
  lightAmbient <- newArray [0.5, 0.0, 0.0, 1.0]
  lightDiffuse <- newArray [0.0, 1.0, 0.0, 1.0]
  lightPosition <- newArray [0.0, 0.0, 2.0, 1.0]

  
  glShadeModel gl_SMOOTH
  glClearColor 0.0 0.0 0.0 1.0
  glClearDepth 2.0
  glEnable gl_DEPTH_TEST
  glDepthFunc gl_LEQUAL
  glHint gl_PERSPECTIVE_CORRECTION_HINT gl_NICEST
  
  glLightfv gl_LIGHT1 gl_AMBIENT lightAmbient
  glLightfv gl_LIGHT1 gl_DIFFUSE lightDiffuse
  glLightfv gl_LIGHT1 gl_POSITION lightPosition
  glEnable gl_LIGHT1
  glEnable gl_LIGHTING
  
