module Pyramid where 

import Graphics.Rendering.OpenGL
import Graphics.UI.GLUT

pyramid w = do
    renderPrimitive Triangles $ do
          color $ Color3 1.0 0.0 (0.0::GLfloat)
          vertex $ Vertex3 0.0    w  0.0
          color $ Color3 1.0 0.5 (0.0::GLfloat)
          vertex $ Vertex3 (-w) (-w)   w
          color $ Color3 1.0 1.0 (0.0::GLfloat)
          vertex $ Vertex3   w  (-w)   w

          color $ Color3 1.0 0.0 (0.0::GLfloat)
          vertex $ Vertex3 0.0    w  0.0
          color $ Color3 1.0 0.5 (0.0::GLfloat)
          vertex $ Vertex3 (-w) (-w)   w
          color $ Color3 1.0 1.0 (0.0::GLfloat)
          vertex $ Vertex3 (-w) (-w) (-w)

          color $ Color3 1.0 0.0 (0.0::GLfloat)
          vertex $ Vertex3 0.0    w  0.0
          color $ Color3 1.0 1.0 (0.0::GLfloat)
          vertex $ Vertex3 (-w) (-w) (-w)
          color $ Color3 1.0 0.5 (0.0::GLfloat)
          vertex $ Vertex3   w  (-w) (-w)

          color $ Color3 1.0 0.0 (0.0::GLfloat)
          vertex $ Vertex3 0.0   w  0.0
          color $ Color3 1.0 0.5 (0.0::GLfloat)
          vertex $ Vertex3   w (-w) (-w)
          color $ Color3 1.0 1.0 (0.0::GLfloat)
          vertex $ Vertex3   w (-w)   w